=== debian/changelog ===
opencsg (1.3.1-5) unstable; urgency=low

  * Minor man page modifications.
  * Update of build dependencies for GLEW 1.6 transition.
  * Change to Standards-Version 3.9.2 (no changes).

 -- Christian M. Amsüss <chrysn@fsfe.org>  Sun, 07 Aug 2011 14:29:41 +0200

opencsg (1.3.1-4) unstable; urgency=low

  * Build -dbg package
  * Change Standards-Version to 3.9.1 (no changes)
  * Reference the git repository in the debian patch

 -- Christian M. Amsüss <chrysn@fsfe.org>  Sun, 06 Mar 2011 13:58:23 +0100

opencsg (1.3.1-3) unstable; urgency=low

  * Fix -dev package's symlink .so that pointed to old version

 -- Christian M. Amsüss <chrysn@fsfe.org>  Fri, 11 Jun 2010 14:20:38 +0200

opencsg (1.3.1-2) unstable; urgency=low

  * Package example program as opencsg-example (with new man page)
  * Ship HTML documentation
    - all packages' documentation symlinked to libopencsg1
    - register with doc-base

 -- Christian M. Amsüss <chrysn@fsfe.org>  Fri, 11 Jun 2010 12:43:25 +0200

opencsg (1.3.1-1) unstable; urgency=low

  * New upstream version
    - added GPL exception for linking against CGAL
  * Fixed copyright file
    - GPL-2 instead of GPL-2+
    - included copyright data for glew

 -- Christian M. Amsüss <chrysn@fsfe.org>  Wed, 09 Jun 2010 23:06:07 +0200

opencsg (1.3.0-2) unstable; urgency=low

  * Added Vcs fields
  * Fix short package descriptions (were flipped for library and -dev package)
  * Use dh overrides in autoinstall for better control

 -- Christian M. Amsüss <chrysn@fsfe.org>  Sat, 29 May 2010 14:02:47 +0200

opencsg (1.3.0-1) unstable; urgency=low

  * Initial packaging
  * Modify main Makefile to ignore the shipped GLEW and the example app
  * Modify src/Makefile to not tamper with --rpath (cf. lintian's
    binary-or-shlib-defines-rpath)

 -- Christian M. Amsüss <chrysn@fsfe.org>  Mon, 22 Feb 2010 21:30:49 +0100
